summaryrefslogtreecommitdiff
path: root/dev-ruby/GeoRuby
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-ruby/GeoRuby
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-ruby/GeoRuby')
-rw-r--r--dev-ruby/GeoRuby/GeoRuby-2.5.2-r2.ebuild32
-rw-r--r--dev-ruby/GeoRuby/Manifest1
-rw-r--r--dev-ruby/GeoRuby/metadata.xml13
3 files changed, 46 insertions, 0 deletions
diff --git a/dev-ruby/GeoRuby/GeoRuby-2.5.2-r2.ebuild b/dev-ruby/GeoRuby/GeoRuby-2.5.2-r2.ebuild
new file mode 100644
index 000000000000..de572c54615d
--- /dev/null
+++ b/dev-ruby/GeoRuby/GeoRuby-2.5.2-r2.ebuild
@@ -0,0 +1,32 @@
+# Copyright 1999-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+USE_RUBY="ruby32 ruby33 ruby34 ruby40"
+
+RUBY_FAKEGEM_RECIPE_TEST="rspec3"
+
+RUBY_FAKEGEM_RECIPE_DOC="rdoc"
+
+RUBY_FAKEGEM_EXTRADOC="README.md"
+
+RUBY_FAKEGEM_NAME="georuby"
+
+inherit ruby-fakegem
+
+DESCRIPTION="Ruby data holder for OGC Simple Features"
+HOMEPAGE="https://github.com/nofxx/georuby"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="test"
+
+all_ruby_prepare() {
+ # Avoid specs that are also failing in upstream Travis.
+ rm spec/geo_ruby/shp4r/shp_spec.rb || die
+}
+
+ruby_add_bdepend "test? ( dev-ruby/dbf
+ dev-ruby/nokogiri )"
diff --git a/dev-ruby/GeoRuby/Manifest b/dev-ruby/GeoRuby/Manifest
new file mode 100644
index 000000000000..9200a356988c
--- /dev/null
+++ b/dev-ruby/GeoRuby/Manifest
@@ -0,0 +1 @@
+DIST georuby-2.5.2.gem 211456 BLAKE2B 67340729118cfb64d78a0ac3e98a6e29414ba0ca111c8a9e608486803c4c1da51e99e06b9ac1abfba0b3781d330ad83e09b72cb5d643d32fc47ce35307045a17 SHA512 f65aca747ff2615ce2cecf0d3a9fa8728b362f211da0433b075e5abd95644daa8d5d8a6e19b051b8e2b78d55e819f07b19b2dfcb95f26f3d678c698fd7126f3f
diff --git a/dev-ruby/GeoRuby/metadata.xml b/dev-ruby/GeoRuby/metadata.xml
new file mode 100644
index 000000000000..0edec421e4d6
--- /dev/null
+++ b/dev-ruby/GeoRuby/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>ruby@gentoo.org</email>
+ <name>Gentoo Ruby Project</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>sci-geosciences@gentoo.org</email>
+ <name>Gentoo Geosciences Project</name>
+ </maintainer>
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>